<template>
  <div class="main-page">
    <section class="top-section">
      <div class="top-section-content container">
        <img class="left-img" src="images/landing/hero-chip.png" alt="">
        <img class="right-img" src="images/landing/hero-crown.png" alt="">
        <div class="top-section-text">
          <h1>IT’S YOUR GAME NOW</h1>
          <p>Get started within seconds & enjoy the lightning-fast crypto casino experience</p>
        </div>
        <div class="card-container">
          <div class="top-section-card">
            <div class="white-squere">
              <img src="images/icons/lightning.svg" alt="">
            </div>
            <div class="text-left">
              <h4>No Registration</h4>
              <p>Required</p>
            </div>
          </div>
          <div class="top-section-card">
            <div class="white-squere">
              <img src="images/icons/coin-wallet.svg" alt="">
            </div>
            <div class="text-left">
              <h4>Instant Payouts</h4>
              <p>Zero Fees</p>
            </div>
          </div>
          <div class="top-section-card">
            <div class="white-squere">
              <img src="images/icons/shield.svg" alt="">
            </div>
            <div class="text-left">
              <h4>100% Fairness</h4>
              <p>In-house Games</p>
            </div>
          </div>
          <div class="top-section-card">
            <div class="white-squere">
              <img src="images/icons/message.svg" alt="">
            </div>
            <div class="text-left">
              <h4>1:1 Customer </h4>
              <p>Service <b>Available</b></p>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="games-section">
      <div class="games-section-content">
        <div class="games-card-container">
          <div v-for="(game, index) in games" :key="index" class="game-card">
            <div class="game-card-content">
              <div class="game-hover-btn">
                <button class="btn-primary" type="button" name="button">Play Now</button>
              </div>
              <img :src="'images/' + game.img" alt="">
            </div>
            <h4>{{game.title}}</h4>
          </div>
        </div>
      </div>
    </section>
    <section class="how-to-play-section">
      <div class="how-to-play-content container">
        <h2>HOW TO PLAY</h2>
        <p class="how-to-play-text">
          We’ve made playing at our casino so, so easy! You can get playing
          in an instant, with no need to register an account – meaning no
          username and no password. All you need to do is using one of the
          online wallet services, and you’re all set.
        </p>
        <div class="card-container">
          <div class="how-to-card">
            <div class="blue-light how-to-squere">
              <img src="images/icons/badge.svg" alt="">
            </div>
            <p>Select the game</p>
          </div>
          <div class="how-to-card">
            <div class="green-light how-to-squere">
              <img src="images/icons/check.svg" alt="">
            </div>
            <p>Place your bet</p>
          </div>
          <div class="how-to-card">
            <div class="red-light how-to-squere">
              <img src="images/icons/wallet.svg" alt="">
            </div>
            <p>Pay with your wallet</p>
          </div>
          <div class="how-to-card">
            <div class="yellow-light how-to-squere">
              <img src="images/icons/cup.svg" alt="">
            </div>
            <p>Get reward instantly</p>
          </div>
        </div>
        <div class="video-container">
          <img src="images/landing/triangle.png" alt="">
        </div>
      </div>
    </section>
    <section class="swiper-section">
      <div class="swiper-section-content">
        <swiper ref="landingSwiper" :options="swiperOptions">
          <swiper-slide>
            <div class="slider-item">
              <div class="slider-item-content">
                <img src="images/gradient-icon/triangle.png" alt="">
                <h3>Transparency with blockchain</h3>
                <p>
                  We’ve made playing at our casino so, so easy! You can get
                  playing in an instant,
                </p>
              </div>
            </div>
          </swiper-slide>
          <swiper-slide>
            <div class="slider-item">
              <div class="slider-item-content">
                <img src="images/gradient-icon/triangle.png" alt="">
                <h3>Transparency with blockchain</h3>
                <p>
                  We’ve made playing at our casino so, so easy! You can get
                  playing in an instant,
                </p>
              </div>
            </div>
          </swiper-slide>
          <swiper-slide>
            <div class="slider-item">
              <div class="slider-item-content">
                <img src="images/gradient-icon/triangle.png" alt="">
                <h3>Transparency with blockchain</h3>
                <p>
                  We’ve made playing at our casino so, so easy! You can get
                  playing in an instant,
                </p>
              </div>
            </div>
          </swiper-slide>
        </swiper>
        <!-- <div id="landingSwiper" class="swiper-container">
          <div class="swiper-wrapper">
            <div class="swiper-slide">
              <div class="slider-item">
                <div class="slider-item-content">
                  <img src="images/gradient-icon/triangle.png" alt="">
                  <h3>Transparency with blockchain</h3>
                  <p>
                    We’ve made playing at our casino so, so easy! You can get
                    playing in an instant,
                  </p>
                </div>
              </div>
            </div>
            <div class="swiper-slide">
              <div class="slider-item">
                <div class="slider-item-content">
                  <img src="images/gradient-icon/square.png" alt="">
                  <h3>Easy-to-play games</h3>
                  <p>We’ve made playing at our casino so, so easy! You can get playing in an instant, </p>
                </div>
              </div>
            </div>
            <div class="swiper-slide">
              <div class="slider-item">
                <div class="slider-item-content">
                  <img src="images/gradient-icon/circle.png" alt="">
                  <h3>Complete Privacy and Security</h3>
                  <p>We’ve made playing at our casino so, so easy! You can get playing in an instant, </p>
                </div>
              </div>
            </div>
          </div>
        </div> -->
      </div>
      <div class="casino-section-content container">
        <h2>CASINO 2.0</h2>
        <p>
          We’ve made playing at our casino so, so easy! You can get playing in
          an instant, with no need to register an account – meaning no username
          and no password. All you need to do is deposit using one of the wallet
          services, and you’re all set.
        </p>
        <nuxt-link tag="button" class="btn-primary" to="/games">Browse Games</nuxt-link>
      </div>
    </section>
    <section class="bottom-cards-section">
      <div class="bottom-cards-container container">
        <div class="lilac-card">
          <nuxt-link to="/bitcoinsv">
            <img class="background-img" src="images/shapes/one.png" alt="">
            <div class="">
              <h3>Bitcoin SV</h3>
              <p>Learn everything about Bitcoin SV technology</p>
            </div>
          </nuxt-link>
        </div>
        <div class="lilac-card">
          <nuxt-link to="/knowledge-base">
            <img class="background-img" src="images/shapes/two.png" alt="">
            <div class="">
              <h3>Knowledge Base</h3>
              <p>Learn about Peergame’s payment systems</p>
            </div>
          </nuxt-link>
        </div>
        <div class="lilac-card">
          <nuxt-link to="/wallet-guide">
            <img class="background-img" src="images/shapes/three.png" alt="">
            <div class="">
              <h3>Wallet Guide</h3>
              <p>Learn about Peergame’s payment systems</p>
            </div>
          </nuxt-link>
        </div>
        <div class="lilac-card">
          <nuxt-link to="#">
            <img class="background-img" src="images/shapes/four.png" alt="">
            <div class="">
              <h3>Blog</h3>
              <p>Learn about Peergame’s payment systems</p>
            </div>
          </nuxt-link>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  async fetch({ store }) {
    await store.dispatch('games/getItems');
  },
  data() {
    return {
      swiperOptions: {
        slidesPerView: 'auto',
        spaceBetween: 0,
        breakpoints: {
            768: {
              allowTouchMove: false,
            }
          }
      }
    }
  },
  computed: {
    ...mapGetters({
      games: 'games/items'
    }),
  }
}
</script>
